.myServices {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr; /* Divide the container into three equal columns */
    /* grid-template-columns: 33.3% 33.3% 33.3%; */ /* Alternatively, you can use percentages for equal-width columns */
    /* grid-template-columns: 1fr 1fr 2fr; */ /* You can also specify different widths for each column */
    /* grid: 1fr / 1fr 1fr 1fr; */ /* Another way to define the grid with fractions */
    /* grid: 100% / 33.3% 33.3% 33.3%; */ /* The previous line using percentages */
    /* grid: repeat(1, 1fr) / repeat(3, 1fr); */ /* Using the repeat() function for simplicity */
  }
  
  .service {
    border: 1px solid #000;
    padding: 1rem;
    text-align: center;
  }

/*   how to span elements across a single or multiple columns */

@media (min-width: 768px) {
  /* Create a grid container */
  .field-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Two columns, 50% available space each */
    column-gap: 1rem; /* Space between columns */
    grid-template-rows: auto auto 15rem; /* The first two rows will have auto-space. The third one will have 15rem (textarea size) */
    flex-direction: column; /* Set the flex-direction to column */
  }

  /* Apply general styles to all elements */
  .myField {
    border: 1px solid black;
    padding: 1rem;
  }

  /* Define the element that will span across both columns */
  .myField3 {
    grid-column: 1 / 3; /* Span from the first column to the third column */
    background-color: lightblue;
  }
}

/* grid-column: 1 / 3 means the element spans from the left edge of the grid (where column 1 begins) 
to the right edge of the grid (where column 2 begins/ column 3 would begin). In the visual representation, Element 3 spans both columns.
grid-column: 1 / 2 means the element starts at the left edge of the grid (where column 1 begins) and ends
 at the right edge of the first column (where column 1 ends/ column 2 begins). It effectively occupies the first column. */

 /* Visual representation of the grid using CSS comments */
  /*
    +---------+---------+
    1         2         3
    |         |         |
    |         |         |
    | Element | Element |
    |   1     |   2     |
    |         |         |
    |         |         |
    +-------------------+
    |                   |
    |   Element 3       |
    |   (Spanning       |
    |   both columns)   |
    |                   |
    +---------+---------+
    |         |         |
    | Element |         |
    |   4     | Element |
    |         |   5     |
    |         |(Textarea)|
    +---------+---------+
  */